#################################################
#
#  (C) 2013 Alexander Golubev 
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( pics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### konq_sidebarnews (kpart) ##################

tde_add_kpart( konq_sidebarnews AUTOMOC
  SOURCES sidebar_news.cpp sidebar_news.skel nsstacktabwidget.cpp nspanel.cpp
    nspanel.skel norsswidget.cpp sidebarsettings.kcfgc configfeedsbase.ui
    configfeeds.cpp
  LINK konq-shared konqsidebarplugin-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES news_add.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqsidebartng/add
)

install( FILES konq_sidebarnews.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)
